classification
Title: clean up type_init()
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, erlendaasland, sir-sigurd
Priority: normal Keywords: patch

Created on 2019-09-18 08:11 by sir-sigurd, last changed 2021-06-17 07:24 by erlendaasland. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16257 merged sir-sigurd, 2019-09-18 08:12
Messages (3)
msg352710 - (view) Author: Sergey Fedoseev (sir-sigurd) * Date: 2019-09-18 08:11
I wrote patch that cleans up type_init():

1. Removes conditions already checked by assert()
2. Removes object_init() call that effectively creates an empty tuple and checks that this tuple is empty
msg395920 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-16 13:04
New changeset ab030d6f9d73e7f6c2213c2e308d1ceb04761485 by Sergey Fedoseev in branch 'main':
bpo-38211: Clean up type_init() (GH-16257)
https://github.com/python/cpython/commit/ab030d6f9d73e7f6c2213c2e308d1ceb04761485
msg395977 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-06-17 07:24
I'm marking this as closed/fixed. Mark, please reopen if you disagree :)
History
Date User Action Args
2021-06-17 07:24:51erlendaaslandsetstatus: open -> closed

nosy: + erlendaasland
messages: + msg395977

resolution: fixed
stage: patch review -> resolved
2021-06-16 13:04:46Mark.Shannonsetnosy: + Mark.Shannon
messages: + msg395920
2019-09-18 08:12:24sir-sigurdsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15852
2019-09-18 08:11:29sir-sigurdcreate